# required metdata
sonar.projectKey=stock_check
sonar.organization=HRMS
sonar.projectVersion=1.0
sonar.sourceEncoding=UTF-8
sonar.host.url=http://localhost:9000
sonar.login=admin
sonar.password=test@123
sonar.token=sqp_cd299bd3a282b33b7ee8dd45e4ab70829592b54f
sonar.verbose=true
# sonar.language=js
# sonar.eslint.eslintconfigpath=app/eslintrc.json

# path to soursonar-scanner -Dsonar.projectKey=myproject -Dsonar.sources=src1ce directories
sonar.sources=api
sonar.tests=test

sonar.javascript.coveragePlugin=lcov

# excludes
sonar.exclusions=app/node_modules/*,app/coverage/lcov-report/*,app/test/integration/api/v1/*,app/middlewares/common-middleware.js

# coverage reporting
sonar.javascript.lcov.reportPaths=./coverage/lcov.info
# sonar.surefire.reportPaths=app/coverage/lcov-reportssoa